html {
    height: 100% !important;
    min-height: 100% !important;
}

body {
    background-color: #eee;
    xxheight: 100% !important;
    xxmin-height: 100% !important;
}

#splash {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5%;
    z-index: 2000;
}

#splash img {
    width: 100%;
    max-width: 250px;
}

#loading {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5%;
    background-color: rgba(0, 0, 0, .5);
    color: #fff;
}

#loading .content {
    background-color: #fff;
    border: 1px solid #000;
    border-radius: 5px;
    color: #000;
    padding: 10px;
}

#alert {
    position: fixed;
    width: 80%;
    top: 70px;
    left: 10%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px;
    z-index: 2000;
    height: calc( 100% - 70px );
}

#alert .content {
    padding: 15px;
    background-color: #fff;
    border-radius: 5px;
    border: 1px solid #ccc;
}

#confirm {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, .5);
    padding: 5%;
}

#confirm .content {
    background-color: #fff;
    border-radius: 10px;
    max-width: 400px;
    box-shadow: 0 0 10px 0 rgba(0,0,0,.15);
    padding: 15px;
    text-align: center;
}

#variants {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, .5);
    padding: 15px;
}

#variants .content {
    background-color: #fff;
    border-radius: 10px;
    max-width: 800px;
    box-shadow: 0 0 10px 0 rgba(0,0,0,.15);
    padding: 15px;
    text-align: center;
    max-height: calc( 100% - 60px );
    margin-top: 60px;
    width: 100%;
    height: 100%;
    position: relative;
}

#variants .error {
    border: 1px solid red;
    border-radius: 5px;
}

#product_sheet .page_container {
    text-align: center;
}

#product_sheet img {
    max-height: 200px;
    max-width: 100%;
}

#product_sheet p {
    text-align: left;
}

#product_sheet ul {
    text-align: left;
}

#lock {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5%;
    z-index: 2000;
    color: #fff;
    text-align: center;
}

#lock img {
    max-width: 100%;
}

/*
#header {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
    color: #fff;
    position: fixed;
    top: 0;
    width: 100%;
    xxxheight: 60px;
    z-index: 1000;
    padding: 0 5%;
}

#header p {
    margin-bottom: 0;
}
*/

/*
#menu_opener {
    position: absolute;
    left: 5%;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#menu_opener img {
    max-height: 30px;
}
*/

/*
#cart_total {
    position: absolute;
    right: 5%;
    z-index: 100;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px 0;
}
#cart_total img {
    max-width: 100%;
    max-height: 100%;
    margin-right: 5px;
}
*/
/*
#header .info {
    text-align: center;
}

#header .info img {
    max-width: 20px;
}
*/

#back_button {
    width: 30px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 5%;
}

#back_button img {
    max-width: 100%;
    max-height: 100%;
}

#menu {
    display: none;
    padding: 0 15px;
    height: calc( 100% - 60px );
    width: 100%;
    position: fixed;
    top: 60px;
    background-color: #fff;
    color: #fff;
    overflow: auto;
}

#menu>a {
    color: #fff;
    display: block;
    padding: 15px 0;
    border-bottom: 1px solid #fff;
}

#waiter.called {
    color: #f4eb42;
}

#waiter.coming {
    color: #48c446;
}

#menu hr {
    border-color: #fff;
}

.page {
    display: none;
    padding: 5%;
    xxxmin-height: calc( 100% - 60px );
    min-height: 100%;
    width: 100%;
    position: absolute;
    top: 0px;

    xxxposition: fixed;
    xxxdisplay: flex;
    xxxalign-items: center;
    xxxjustify-content: center;    
}

.page .page_container {
    background-color: #fff;
    padding: 10px;
    position:relative;
}

.center {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

/*
.items_container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
*/

.category {
    width: 45%;
    text-align: center;
    background-color: #fff;
    box-shadow: 0 0 10px 0 rgba(0,0,0,.15);
    margin-bottom: 5%;
}

.category .img {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 120px;
    padding: 10px;
}

.category img {
    max-height: 100%;
    max-width: 100%;
}

.product {
    width: 100%;
    text-align: center;
    background-color: #fff;
    box-shadow: 0 0 10px 0 rgba(0,0,0,.15);
    margin-bottom: 5%;
}

@media (min-width: 576px) {
    .product {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
}

.product .img {
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (min-width: 576px) {
    .product .img {
        width: 40%;
    }
}

.product .info {
    padding: 10px;
}

@media (min-width: 576px) {
    .product .info {
        width: 60%;
    }
}
/*
.product .img {
    height: 120px;
    padding: 10px;
}
*/
.product img {
    max-width: 100%;
    margin-top: 10px;
    max-height: 200px;
}

.product .buttons {
    max-width: 250px;
    margin-left: auto;
    margin-right: auto;
}


.btn-primary:disabled {
    background-color: #ccc;
    border-color: #000;
    color: #000;
    white-space: normal;
}

#timer {
    padding: 5px;
    border: 1px solid red;
    margin-bottom: 10px;
    border-radius: 5px;
    color: red;
    text-align: center;
}

.qty_selector {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 150px;
    margin: 0 auto;
}

.plus, .minus {
    border: 0px solid;
    display: inline-block;
    border-radius: 100%;
    width: 30px;
    height: 30px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
}

#product_sheet .buttons {
    max-width: 200px;
    margin-left: auto;
    margin-right: auto;
}

.points_box {
    padding: 30px;
    text-align: center;
}

.points_box .points_value {
    font-size: 30px;
}

#related_popup {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, .5);
    padding: 5%;
}

#related_popup .content {
    background-color: #fff;
    border-radius: 10px;
    max-width: 600px;
    box-shadow: 0 0 10px 0 rgba(0,0,0,.15);
    padding: 15px;
    text-align: center;
    max-height: calc( 100% - 60px );
    overflow: auto;
    margin-top: 60px;
    width: 100%;
}

.t2 {
    display: none;
}

.checkbox-container {
    text-align: left;
}

.checkbox {
    border: 1px solid #eeeeee;
    border-radius: 5px;
}

.variants_category {
    padding: 5px;
    border: 1px solid #fff;
    /*margin: -5px;*/
}

.v_qty {
    border: 1px solid;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    /* padding: 2px 10px; */
    width: 38px;
    height: 38px;
}

#edit_variants {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, .5);
    padding: 15px;
}

#edit_variants .content {
    background-color: #fff;
    border-radius: 10px;
    max-width: 800px;
    box-shadow: 0 0 10px 0 rgba(0,0,0,.15);
    padding: 15px;
    text-align: center;
    max-height: calc( 100% - 60px );
    margin-top: 60px;
    width: 100%;
    height: 100%;
    position: relative;
}

#edit_variants .error {
    border: 1px solid red;
    border-radius: 5px;
}

.variants {
    overflow: auto;
    height: calc( 100% - 55px );
}

.v_buttons {
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0;
    padding-top: 15px;
    padding-bottom: 15px;
}

.recap {
    font-size: 12px;
    text-align: left;
}

@media (min-width: 576px) {
    .w-md-50 {
        width: 50%;
    }
}

.footer {
    width: 100%;
    background-color: #f5f5f5;
}

#payment_popup {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    padding: 30px;
    background-color: rgba(0, 0, 0, .5);
    color: #fff;
    z-index: 2001;
}

#payment_popup .content {
    background-color: #fff;
    border: 1px solid #000;
    border-radius: 5px;
    color: #000;
    padding: 15px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#payment_popup .content>div {   
}


.bg-alpha{
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 1999;
}
.bg-gray{
    background-color: #f8f8f8
}

.close_wrapper{
    color: var(--color-secondary) !important;
}
.top-right{
    position: absolute;
    top:2%;
    right:2%;
}

.top-right .fa{
    font-size: 1.4em;
    z-index: 999;
    color: var(--color-secondary)
}


.border-top-gray{
    border-top: 1px solid #cccccc;
}

ul.h-nav {
    white-space: nowrap;
    overflow-x: auto;
    padding: 0px;
}

ul.h-nav li {
    display: inline-block;
    float: none;
}

ul.h-nav li a{
    color: var(--primary);
}

.cursor-pointer{
    cursor: pointer;
}


.btn-autogrill{
    background-color: #AF191D !important;
    border-color: #AF191D !important;
}